php update

Проблемы с установкой, настройкой и работой системных и сетевых программ.

Модераторы: GRooVE, alexco

Правила форума
Убедительная просьба юзать теги [code] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
risk94
лейтенант
Сообщения: 831
Зарегистрирован: 2007-06-01 19:27:51

php update

Непрочитанное сообщение risk94 » 2008-07-10 15:13:51

Подскажите как? Просто скачать сырцы, конфигурировать, собрать и инсталить?

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

paradox
проходил мимо
Сообщения: 11620
Зарегистрирован: 2008-02-21 18:15:41

Re: php update

Непрочитанное сообщение paradox » 2008-07-10 15:20:43

с портов

risk94
лейтенант
Сообщения: 831
Зарегистрирован: 2007-06-01 19:27:51

Re: php update

Непрочитанное сообщение risk94 » 2008-07-10 15:27:30

такой вопрос. стоит 5.2.1, а нужно более свежую, 5.2.6
при конфигурировании порта - показывает версию 5,2,1_3

Как в таком случае?

paradox
проходил мимо
Сообщения: 11620
Зарегистрирован: 2008-02-21 18:15:41

Re: php update

Непрочитанное сообщение paradox » 2008-07-10 15:34:55

порты cvs ?
или от какого то релиза

risk94
лейтенант
Сообщения: 831
Зарегистрирован: 2007-06-01 19:27:51

Re: php update

Непрочитанное сообщение risk94 » 2008-07-10 15:35:52

фря 6.1, порты ее же

обновить порты, а потом из порта, как обычно?

paradox
проходил мимо
Сообщения: 11620
Зарегистрирован: 2008-02-21 18:15:41

Re: php update

Непрочитанное сообщение paradox » 2008-07-10 15:47:59

ну да
токо еще посмотреть что там за депенды
но вообщем то оно самом все знает
и переинсталлит

вопрос токо в том
какая версия php сечас в cvs портах

cvsweb.freebsd.org

risk94
лейтенант
Сообщения: 831
Зарегистрирован: 2007-06-01 19:27:51

Re: php update

Непрочитанное сообщение risk94 » 2008-07-10 16:36:31

Деинсталировать нужно?

paradox
проходил мимо
Сообщения: 11620
Зарегистрирован: 2008-02-21 18:15:41

Re: php update

Непрочитанное сообщение paradox » 2008-07-10 16:43:32

желательно
токо внимательнее
а то оно рекурсивно по зависимотях
может всю систему дезинсталировать ))))

хотя потом же из портов можно все и проапгреитить

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35139
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Re: php update

Непрочитанное сообщение Alex Keda » 2008-07-10 18:49:47

http://www.lissyara.su/?id=1012
http://www.lissyara.su/?id=1153
поиск по сайту осилить не пробовали?
Убей их всех! Бог потом рассортирует...

risk94
лейтенант
Сообщения: 831
Зарегистрирован: 2007-06-01 19:27:51

Re: php update

Непрочитанное сообщение risk94 » 2008-07-11 8:24:13

Вот что у меня (тоже самое для всех пакетов, я отобрал только php) :

Код: Выделить всё

# pkg_version -v | grep "need"


php5-bz2-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-ctype-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-ctype-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-dom-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-dom-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-extensions-1.0 does not appear to be a valid package!
pkg_version: php5-extensions-1.1 does not appear to be a valid package!
pkg_version: php5-gd-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-gd-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-iconv-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-iconv-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-mhash-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-mysql-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-mysql-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-pcre-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-pcre-5.2.1_5 does not appear to be a valid package!
pkg_version: php5-pdo-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-posix-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-posix-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-recode-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-session-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-session-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-simplexml-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-simplexml-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-sockets-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-spl-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-sqlite-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-sqlite-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-tokenizer-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-tokenizer-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-xml-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-xml-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-xmlreader-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-xmlreader-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-xmlwriter-5.1.2_1 does not appear to be a valid package!
pkg_version: php5-xmlwriter-5.2.1_3 does not appear to be a valid package!
pkg_version: php5-zlib-5.2.1_3 does not appear to be a valid package!
И что это значит?

Аватара пользователя
manefesto
Группенфюррер
Сообщения: 6934
Зарегистрирован: 2007-07-20 8:27:30
Откуда: Пермь
Контактная информация:

Re: php update

Непрочитанное сообщение manefesto » 2008-07-11 8:57:58

Код: Выделить всё

pkgdb -F
portupdate -aFR
я такой яростный шо аж пиздеЦ
Изображение

risk94
лейтенант
Сообщения: 831
Зарегистрирован: 2007-06-01 19:27:51

Re: php update

Непрочитанное сообщение risk94 » 2008-07-11 9:09:39

Код: Выделить всё

# pkgdb -F
/usr/local/lib/ruby/site_ruby/1.8/portsdb.rb:71:in `initialize': No such file or directory - /usr/ports/MOVED (Errno::ENOENT)
        from /usr/local/lib/ruby/site_ruby/1.8/portsdb.rb:71:in `open'
        from /usr/local/lib/ruby/site_ruby/1.8/portsdb.rb:71:in `setup'
        from /usr/local/lib/ruby/site_ruby/1.8/portsdb.rb:67:in `initialize'
        from /usr/local/lib/ruby/site_ruby/1.8/portsdb.rb:128:in `new'
        from /usr/local/lib/ruby/site_ruby/1.8/portsdb.rb:128:in `setup'
        from /usr/local/lib/ruby/site_ruby/1.8/pkgtools.rb:208:in `init_pkgtools_global'
        from /usr/local/lib/ruby/site_ruby/1.8/pkgtools.rb:1102
        from /usr/local/sbin/pkgdb:36:in `require'
        from /usr/local/sbin/pkgdb:36
и все. больше ничего не делается.

Аватара пользователя
manefesto
Группенфюррер
Сообщения: 6934
Зарегистрирован: 2007-07-20 8:27:30
Откуда: Пермь
Контактная информация:

Re: php update

Непрочитанное сообщение manefesto » 2008-07-11 9:27:11

прикольно....теперь говори как сломал ...
ставь пакетом ruby
я такой яростный шо аж пиздеЦ
Изображение

risk94
лейтенант
Сообщения: 831
Зарегистрирован: 2007-06-01 19:27:51

Re: php update

Непрочитанное сообщение risk94 » 2008-07-11 9:30:41

manefesto писал(а):прикольно....теперь говори как сломал ...
ставь пакетом ruby
тов. Капитан, можно подробнее. Мне это все досталось в наследство.

Аватара пользователя
manefesto
Группенфюррер
Сообщения: 6934
Зарегистрирован: 2007-07-20 8:27:30
Откуда: Пермь
Контактная информация:

Re: php update

Непрочитанное сообщение manefesto » 2008-07-11 9:34:13

качаешь из инета фряшный пакет ruby и ставишь в систему

Код: Выделить всё

pkg_add http://ftp13.us.freebsd.org/pub/FreeBSD/releases/i386/7.0-RELEASE/packages/lang/ruby-1.8.6.111_1,1.tbz
Если будет ругаться посмотри на FORCE_PKG_INSTALL(вроде бы)
я такой яростный шо аж пиздеЦ
Изображение

risk94
лейтенант
Сообщения: 831
Зарегистрирован: 2007-06-01 19:27:51

Re: php update

Непрочитанное сообщение risk94 » 2008-07-11 9:39:06

Код: Выделить всё

# pkg_add http://ftp13.us.freebsd.org/pub/FreeBSD/releases/i386/7.0-RELEASE/packages/lang/ruby-1.8.6.111_1,1.tbz
Fetching http://ftp13.us.freebsd.org/pub/FreeBSD/releases/i386/7.0-RELEASE/packages/lang/ruby-1.8.6.111_1,1.tbz... Done.
pkg_add: package apache-2.2.0_7 has no origin recorded
...
куча пакетов
...
pkg_add: package xterm-206_1 has no origin recorded

====
Note that some of the standard libraries are provided as separate
ports since they require extra dependencies:

        converters/ruby-iconv   iconv module

        databases/ruby-gdbm:    GDBM module

        x11-toolkits/ruby-tk:   Tcl/Tk modules
        japanese/ruby-tk:       Tcl/Tk modules for Japanized Tcl/Tk

        lang/ruby-mode.el:      Emacs lisp modules

Install them as occasion demands.
====

# pkgdb -F
/libexec/ld-elf.so.1: Shared object "libcrypt.so.4" not found, required by "ruby18"

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35139
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Re: php update

Непрочитанное сообщение Alex Keda » 2008-07-11 14:41:40

ищщи libcrypt.so и делай в той же директории симлинк с libcrypt.so.4 на него
Убей их всех! Бог потом рассортирует...

Аватара пользователя
serge
майор
Сообщения: 2132
Зарегистрирован: 2006-07-30 15:34:14
Откуда: Саратов
Контактная информация:

Re: php update

Непрочитанное сообщение serge » 2008-07-11 17:20:26

risk94 писал(а):тов. Капитан, можно подробнее. Мне это все досталось в наследство.
Тут наверное снести все и поставить снуля будет проще :cz2:

Аватара пользователя
manefesto
Группенфюррер
Сообщения: 6934
Зарегистрирован: 2007-07-20 8:27:30
Откуда: Пермь
Контактная информация:

Re: php update

Непрочитанное сообщение manefesto » 2008-07-11 18:09:06

serge писал(а):
risk94 писал(а):тов. Капитан, можно подробнее. Мне это все досталось в наследство.
Тут наверное снести все и поставить снуля будет проще :cz2:
а ты хоть представляешь что у него окромя php стоит ?
Это что-то из рода "снеси домен, а потом новый поставь".
Может у него там мега задачи крутятся.
я такой яростный шо аж пиздеЦ
Изображение

risk94
лейтенант
Сообщения: 831
Зарегистрирован: 2007-06-01 19:27:51

Re: php update

Непрочитанное сообщение risk94 » 2008-07-11 18:14:34

я думал по поводу сноса. я корявый в юнихе, но то что мне досталось в наследство .... ваще пипец. тачка в продакшене - без фаервола (брутфорс по всем службам непрекращаемый). Муся переодически падает. И непонятно как стартует коряво... захостить на время переезда есть где, но переезд - это крайняя мера.
Хотелось бы поднатаскаться и в этом вопросе.

risk94
лейтенант
Сообщения: 831
Зарегистрирован: 2007-06-01 19:27:51

Re: php update

Непрочитанное сообщение risk94 » 2008-07-11 18:38:14

lissyara писал(а):ищщи libcrypt.so и делай в той же директории симлинк с libcrypt.so.4 на него
также отругалсо на некоторые либы, но поделал их таким же макаром. в оконцове:

Код: Выделить всё

# pkgdb -F
/libexec/ld-elf.so.1: /usr/local/lib/libruby18.so.18: Undefined symbol "__mb_sb_limit"

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: php update

Непрочитанное сообщение zingel » 2008-07-11 21:13:36

# pkgdb -F
/libexec/ld-elf.so.1: /usr/local/lib/libruby18.so.18: Undefined symbol "__mb_sb_limit"

Код: Выделить всё

pkgdb -aFrk
cd /usr/ports/lang/ruby18/ ; make deinstall clean
cd /usr/ports/lang/perl5.8/ ; make deinstall clean
cd /usr/ports/databases/db41/ ; make deinstall clean
cd /usr/ports/databases/ruby-bdb/ ; make deinstall clean
cd /usr/ports/ports-mgmt/portupgrade-devel/ ; make deinstall clean; make install clean
portupgrade -vfa
Z301171463546 - можно пожертвовать мне денег

risk94
лейтенант
Сообщения: 831
Зарегистрирован: 2007-06-01 19:27:51

Re: php update

Непрочитанное сообщение risk94 » 2008-07-14 8:06:51

Код: Выделить всё

# pkgdb -aFrk
/libexec/ld-elf.so.1: /usr/local/lib/libruby18.so.18: Undefined symbol "__mb_sb_limit"

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: php update

Непрочитанное сообщение zingel » 2008-07-14 8:18:27

тогда без него, переходите к следующей строке...
Z301171463546 - можно пожертвовать мне денег

risk94
лейтенант
Сообщения: 831
Зарегистрирован: 2007-06-01 19:27:51

Re: php update

Непрочитанное сообщение risk94 » 2008-07-14 8:24:09

а то что ruby ставился из пакаджей а не из портов, ничего?